Bug 231442 - www/squid: Update to 4.3
Summary: www/squid: Update to 4.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-18 06:12 UTC by takefu
Modified: 2018-10-01 18:32 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
squid-4.2.patch (1.73 KB, patch)
2018-09-18 06:12 UTC, takefu
no flags Details | Diff
squid-4.2.patch2 (1.94 KB, patch)
2018-09-22 14:16 UTC, timp87
timp87: maintainer-approval+
Details | Diff
squid-4.3.patch (14.35 KB, patch)
2018-10-01 15:09 UTC, timp87
timp87: maintainer-approval+
Details | Diff
squid-4.3.patch fixed (2.75 KB, patch)
2018-10-01 15:13 UTC, timp87
timp87: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2018-09-18 06:12:42 UTC
Created attachment 197184 [details]
squid-4.2.patch

Update 4.2
including LibreSSL patch
bug #228967
bug #231115
Comment 1 timp87 2018-09-22 12:57:15 UTC
While testing the patch I noticed this:

====> Running Q/A tests (stage-qa)
Error: /usr/local/sbin/squid is linked to /usr/local/lib/libltdl.so.7 from devel/libltdl but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libltdl.so:devel/libltdl

I'm figuring out what's libltdl and how squid uses it.
Comment 2 timp87 2018-09-22 14:16:08 UTC
Created attachment 197349 [details]
squid-4.2.patch2

My patch almost the same as previous but I also set the port to use embedded libltdl. Seems like we've always been using embedded libltdl. At least when building with poudriere or in other "clean" env.
Comment 3 timp87 2018-10-01 15:09:58 UTC
Created attachment 197681 [details]
squid-4.3.patch

Meanwhile squid-4.3 released.
Patch attached.
Comment 4 timp87 2018-10-01 15:13:00 UTC
Created attachment 197682 [details]
squid-4.3.patch fixed

Remove some rubish
Comment 5 Kurt Jaeger freebsd_committer 2018-10-01 16:48:57 UTC
Testbuilds@work
Comment 6 Kurt Jaeger freebsd_committer 2018-10-01 18:31:47 UTC
Committed, thanks!
Comment 7 commit-hook freebsd_committer 2018-10-01 18:32:35 UTC
A commit references this bug:

Author: pi
Date: Mon Oct  1 18:31:41 UTC 2018
New revision: 481048
URL: https://svnweb.freebsd.org/changeset/ports/481048

Log:
  www/squid: update 4.1 -> 4.3

  - fix build with LibreSSL

  PR:		231442
  Submitted by:	timp87@gmail.com (maintainer), takefu@airport.fm
  Relnotes:	http://www.squid-cache.org/Versions/v4/changesets/

Changes:
  head/www/squid/Makefile
  head/www/squid/distinfo
  head/www/squid/files/patch-src_ssl_bio.cc
  head/www/squid/pkg-plist